To install nginx with txid module

install nginx-full package:

download last nginx source:

examine what flags and modules your current nginx installed with:

you will see something like

copy output to your editor for later use.

extract nginx source

cd to it

install required dependencies

clone txid git repo into the current folder

go to your editor and prepare configuration parameters based on the output copied here previously

now run this command in current folder. Note that we use --with-http_v2_module instead of --with-http_spdy_module and add --add-module=ngx_txid at the end

install libgd-dev in case of this error:
./configure: error: the HTTP image filter module requires the GD library.

install libgeoip-dev in case of:
./configure: error: the GeoIP module requires the GeoIP library.

install libssl-dev in case of:
./configure: error: SSL modules require the OpenSSL library.

install libpcre++-dev in case of:
./configure: error: the HTTP rewrite module requires the PCRE library.

install libxslt1-dev in case of:
./configure: error: the HTTP XSLT module requires the libxml2/libxslt

after success of ./configure run

and now newely builded nginx binary can be found here: /usr/share/nginx/sbin/

check that this binary builded correctly:

output will be like

now stop nginx

and change the binaries:

check that everything is as expected

output should be like

and finally start our fresh compiled nginx

now nginx sources can be removed:

Source

https://makandracards.com/konjoot/38441-ubuntu-nginx-with-txid-module
分类: NGINX

0 条评论

发表评论

电子邮件地址不会被公开。 必填项已用*标注

此站点使用Akismet来减少垃圾评论。了解我们如何处理您的评论数据